org.icefaces.ace.component.gmap

## Class GMapBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.gmap.GMapBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IGMap
  Direct Known Subclasses:
    GMap

      public abstract class GMapBase
      extends javax.faces.component.UIPanel
      implements IGMap

  The base component for the ACE gMap (Google Maps API) set of components. This component is how to define and control the map proper, as well as serving as a parent for the other gMap subcomponents. Important note: To function properly, you must define the property 'org.icefaces.ace.gmapKey' in your web.xml. You can get an API key at http://code.google.com/apis/maps/signup.html. For more information, see the gMap Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `GMapBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMapBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()` Return the value of the `address` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getLatitude()` Return the value of the `latitude` property.
    `java.lang.String` | `getLongitude()` Return the value of the `longitude` property.
    `java.lang.String` | `getOldLatitude()` Return the value of the `oldLatitude` property.
    `java.lang.String` | `getOldLongitude()` Return the value of the `oldLongitude` property.
    `java.lang.String` | `getOldType()` Return the value of the `oldType` property.
    `java.lang.String` | `getOldZoomLevel()` Return the value of the `oldZoomLevel` property.
    `java.lang.String` | `getOptions()` Return the value of the `options` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getType()` Return the value of the `type` property.
    `java.lang.String` | `getZoomLevel()` Return the value of the `zoomLevel` property.
    `boolean` | `isIntialized()` Return the value of the `intialized` property.
    `boolean` | `isLocateAddress()` Return the value of the `locateAddress` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setAddress(java.lang.String address)` Set the value of the `address` property.
    `void` | `setIntialized(boolean intialized)` Set the value of the `intialized` property.
    `void` | `setLatitude(java.lang.String latitude)` Set the value of the `latitude` property.
    `void` | `setLocateAddress(boolean locateAddress)` Set the value of the `locateAddress` property.
    `void` | `setLongitude(java.lang.String longitude)` Set the value of the `longitude` property.
    `void` | `setOldLatitude(java.lang.String oldLatitude)` Set the value of the `oldLatitude` property.
    `void` | `setOldLongitude(java.lang.String oldLongitude)` Set the value of the `oldLongitude` property.
    `void` | `setOldType(java.lang.String oldType)` Set the value of the `oldType` property.
    `void` | `setOldZoomLevel(java.lang.String oldZoomLevel)` Set the value of the `oldZoomLevel` property.
    `void` | `setOptions(java.lang.String options)` Set the value of the `options` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setType(java.lang.String type)` Set the value of the `type` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setZoomLevel(java.lang.String zoomLevel)` Set the value of the `zoomLevel` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GMapBase

          public GMapBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setAddress

          public void setAddress(java.lang.String address)

      Set the value of the `address` property.

      Contents: Address to locate.

      Specified by:
        `setAddress` in interface `IGMap`

    - #### getAddress

          public java.lang.String getAddress()

      Return the value of the `address` property.

      Contents: Address to locate.

      Specified by:
        `getAddress` in interface `IGMap`

    - #### setIntialized

          public void setIntialized(boolean intialized)

      Set the value of the `intialized` property.

      Contents: Specifies whether the map has been initialized or not.

      Specified by:
        `setIntialized` in interface `IGMap`

    - #### isIntialized

          public boolean isIntialized()

      Return the value of the `intialized` property.

      Contents: Specifies whether the map has been initialized or not. Default = 'false'.

      Specified by:
        `isIntialized` in interface `IGMap`

    - #### setLatitude

          public void setLatitude(java.lang.String latitude)

      Set the value of the `latitude` property.

      Contents: The starting latitude for the map. Will be overridden if an address is provided.

      Specified by:
        `setLatitude` in interface `IGMap`

    - #### getLatitude

          public java.lang.String getLatitude()

      Return the value of the `latitude` property.

      Contents: The starting latitude for the map. Will be overridden if an address is provided. Default = '51.06757388616548'.

      Specified by:
        `getLatitude` in interface `IGMap`

    - #### setLocateAddress

          public void setLocateAddress(boolean locateAddress)

      Set the value of the `locateAddress` property.

      Contents: Whether the map should be locating the specified address. Default is false.

      Specified by:
        `setLocateAddress` in interface `IGMap`

    - #### isLocateAddress

          public boolean isLocateAddress()

      Return the value of the `locateAddress` property.

      Contents: Whether the map should be locating the specified address. Default is false. Default = 'false'.

      Specified by:
        `isLocateAddress` in interface `IGMap`

    - #### setLongitude

          public void setLongitude(java.lang.String longitude)

      Set the value of the `longitude` property.

      Contents: The starting longitude for the map. Will be overridden if an address is provided.

      Specified by:
        `setLongitude` in interface `IGMap`

    - #### getLongitude

          public java.lang.String getLongitude()

      Return the value of the `longitude` property.

      Contents: The starting longitude for the map. Will be overridden if an address is provided. Default = '-114.08538937568665'.

      Specified by:
        `getLongitude` in interface `IGMap`

    - #### setOptions

          public void setOptions(java.lang.String options)

      Set the value of the `options` property.

      Contents: Additional options to be sent to the map. Check google maps API at https://developers.google.com/maps/documentation/javascript/reference#MapOptions for more specifics. Form is attribute:'value'.

      Specified by:
        `setOptions` in interface `IGMap`

    - #### getOptions

          public java.lang.String getOptions()

      Return the value of the `options` property.

      Contents: Additional options to be sent to the map. Check google maps API at https://developers.google.com/maps/documentation/javascript/reference#MapOptions for more specifics. Form is attribute:'value'.

      Specified by:
        `getOptions` in interface `IGMap`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Styling for the main gMap div.

      Specified by:
        `setStyle` in interface `IGMap`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Styling for the main gMap div.

      Specified by:
        `getStyle` in interface `IGMap`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: The classname for the main gMap div.

      Specified by:
        `setStyleClass` in interface `IGMap`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: The classname for the main gMap div.

      Specified by:
        `getStyleClass` in interface `IGMap`

    - #### setType

          public void setType(java.lang.String type)

      Set the value of the `type` property.

      Contents: Map type to display by default. Possible values are 'HYBRID', 'ROADMAP', 'SATELLITE' and 'TERRAIN', case insensitive.

      Specified by:
        `setType` in interface `IGMap`

    - #### getType

          public java.lang.String getType()

      Return the value of the `type` property.

      Contents: Map type to display by default. Possible values are 'HYBRID', 'ROADMAP', 'SATELLITE' and 'TERRAIN', case insensitive. Default = 'ROADMAP'.

      Specified by:
        `getType` in interface `IGMap`

    - #### setZoomLevel

          public void setZoomLevel(java.lang.String zoomLevel)

      Set the value of the `zoomLevel` property.

      Contents: Starting zoom of the map element.

      Specified by:
        `setZoomLevel` in interface `IGMap`

    - #### getZoomLevel

          public java.lang.String getZoomLevel()

      Return the value of the `zoomLevel` property.

      Contents: Starting zoom of the map element. Default = '5'.

      Specified by:
        `getZoomLevel` in interface `IGMap`

    - #### setOldLatitude

          public void setOldLatitude(java.lang.String oldLatitude)

      Set the value of the `oldLatitude` property.

      Specified by:
        `setOldLatitude` in interface `IGMap`

    - #### getOldLatitude

          public java.lang.String getOldLatitude()

      Return the value of the `oldLatitude` property.

      Specified by:
        `getOldLatitude` in interface `IGMap`

    - #### setOldLongitude

          public void setOldLongitude(java.lang.String oldLongitude)

      Set the value of the `oldLongitude` property.

      Specified by:
        `setOldLongitude` in interface `IGMap`

    - #### getOldLongitude

          public java.lang.String getOldLongitude()

      Return the value of the `oldLongitude` property.

      Specified by:
        `getOldLongitude` in interface `IGMap`

    - #### setOldType

          public void setOldType(java.lang.String oldType)

      Set the value of the `oldType` property.

      Specified by:
        `setOldType` in interface `IGMap`

    - #### getOldType

          public java.lang.String getOldType()

      Return the value of the `oldType` property.

      Specified by:
        `getOldType` in interface `IGMap`

    - #### setOldZoomLevel

          public void setOldZoomLevel(java.lang.String oldZoomLevel)

      Set the value of the `oldZoomLevel` property.

      Specified by:
        `setOldZoomLevel` in interface `IGMap`

    - #### getOldZoomLevel

          public java.lang.String getOldZoomLevel()

      Return the value of the `oldZoomLevel` property.

      Specified by:
        `getOldZoomLevel` in interface `IGMap`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.